 /**
 * Loads the content of a specified item into the content area of the webpage.
 *
 * @param {string} item - The name of the item to load.
 * @param {string} [anchor] - The anchor to scroll to within the item's content.
 * @return {void} This function does not return anything.
 */
function loadContent(item, anchor) {
    const contentArea = document.getElementById("contentFrame");
    if (contentArea) {
        contentArea.src = `${item}.html#${anchor}`;
    } else {
        location.replace(`${item}.html#${anchor}`);
    }
}

/**
 * Search documentation based on the input event.
 *
 * @param {Event} event - The event triggering the search
 */
function searchDocumentation(event) {
    const searchTerm = event.target.value.toLowerCase();
    const items = document.querySelectorAll('#menu a');
    items.forEach(item => {
        const text = item.textContent.toLowerCase();
        const match = text.includes(searchTerm);
        item.style.display = match ? 'block' : 'none';
    });
}